/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kiwi.client.nibctrl;

import java.awt.BorderLayout;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.kiwi.client.ApplicationIcones;
import org.cocktail.kiwi.client.metier.EONuits;
import org.cocktail.kiwi.common.utilities.CocktailConstantes;
import org.cocktail.kiwi.common.utilities.CocktailIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class NuitsRepasView extends javax.swing.JPanel {

	protected EODisplayGroup eodNuits, eodRepas;

	protected ZEOTable myEOTableNuits, myEOTableRepas;
	protected ZEOTableModel myTableModelNuits, myTableModelRepas ;
	protected TableSorter myTableSorterNuits, myTableSorterRepas;

    /** Creates new form TemplateJPanel */
    public NuitsRepasView(EODisplayGroup dgNuits, EODisplayGroup dgRepas) {

        eodNuits = dgNuits;
        eodRepas = dgRepas;
        
        initComponents();
        initGui();
        
    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTableNuits = new javax.swing.JPanel();
        btnModifierNuits = new javax.swing.JButton();
        btnRecalculerNutis = new javax.swing.JButton();
        btnSupprimerNuits = new javax.swing.JButton();
        btnSasieNuits = new javax.swing.JButton();
        btnAjouterNuits = new javax.swing.JButton();
        btnRecalculerRepas = new javax.swing.JButton();
        btnSasieRepas = new javax.swing.JButton();
        btnModifierRepas = new javax.swing.JButton();
        btnSupprimerRepas = new javax.swing.JButton();
        btnAjouterRepas = new javax.swing.JButton();
        viewTableRepas = new javax.swing.JPanel();
        btnIconeRepas = new javax.swing.JButton();
        btnIconeNuits = new javax.swing.JButton();
        tfTitreRepas = new javax.swing.JTextField();
        tfTitreNuits = new javax.swing.JTextField();

        viewTableNuits.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableNuits.setLayout(new java.awt.BorderLayout());

        btnModifierNuits.setToolTipText("Modifier le nombre de nuits");

        btnRecalculerNutis.setToolTipText("Recalculer le nombre de nuits");

        btnSupprimerNuits.setToolTipText("Supprimer les nuits");

        btnSasieNuits.setToolTipText("Modifier le montant à rembourser");

        btnAjouterNuits.setToolTipText("Ajouter des nuits");

        btnRecalculerRepas.setToolTipText("Recalculer le nombre de repas");

        btnSasieRepas.setToolTipText("Modifier le montant à rembourser");

        btnModifierRepas.setToolTipText("Modifier le nombre de repas");

        btnSupprimerRepas.setToolTipText("Supprimer les repas");

        btnAjouterRepas.setToolTipText("Ajouter des repas");

        viewTableRepas.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTableRepas.setLayout(new java.awt.BorderLayout());

        btnIconeRepas.setBorderPainted(false);
        btnIconeRepas.setContentAreaFilled(false);
        btnIconeRepas.setFocusPainted(false);
        btnIconeRepas.setFocusable(false);

        btnIconeNuits.setBorderPainted(false);
        btnIconeNuits.setContentAreaFilled(false);
        btnIconeNuits.setFocusPainted(false);
        btnIconeNuits.setFocusable(false);
        btnIconeNuits.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnIconeNuitsActionPerformed(evt);
            }
        });

        tfTitreRepas.setBackground(new java.awt.Color(204, 204, 255));
        tfTitreRepas.setEditable(false);
        tfTitreRepas.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreRepas.setText("REPAS");
        tfTitreRepas.setAutoscrolls(false);
        tfTitreRepas.setFocusable(false);

        tfTitreNuits.setBackground(new java.awt.Color(204, 204, 255));
        tfTitreNuits.setEditable(false);
        tfTitreNuits.setHorizontalAlignment(javax.swing.JTextField.CENTER);
        tfTitreNuits.setText("NUITS");
        tfTitreNuits.setFocusable(false);

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(26, 26, 26)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(btnIconeRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnIconeNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                        .add(tfTitreNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 593, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(layout.createSequentialGroup()
                            .add(viewTableNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 533, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 10, Short.MAX_VALUE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(layout.createSequentialGroup()
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                        .add(btnRecalculerNutis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(btnModifierNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(btnSasieNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(btnSupprimerNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .add(btnAjouterNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .add(layout.createSequentialGroup()
                            .add(viewTableRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 535, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(layout.createSequentialGroup()
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                                        .add(btnRecalculerRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(btnModifierRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                    .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                    .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                        .add(btnSasieRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(btnSupprimerRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                                .add(btnAjouterRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                    .add(tfTitreRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 593, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(76, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(btnIconeRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 48, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(layout.createSequentialGroup()
                        .add(tfTitreRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(25, 25, 25)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(btnModifierRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnSupprimerRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(btnRecalculerRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnSasieRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(btnAjouterRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(viewTableRepas, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(tfTitreNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(25, 25, 25)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(btnModifierNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnSupprimerNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(btnRecalculerNutis, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(btnSasieNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(btnAjouterNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(viewTableNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(btnIconeNuits, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 48, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(21, Short.MAX_VALUE))
        );
    }// </editor-fold>//GEN-END:initComponents

    private void btnIconeNuitsActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnIconeNuitsActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_btnIconeNuitsActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAjouterNuits;
    private javax.swing.JButton btnAjouterRepas;
    private javax.swing.JButton btnIconeNuits;
    private javax.swing.JButton btnIconeRepas;
    private javax.swing.JButton btnModifierNuits;
    private javax.swing.JButton btnModifierRepas;
    private javax.swing.JButton btnRecalculerNutis;
    private javax.swing.JButton btnRecalculerRepas;
    private javax.swing.JButton btnSasieNuits;
    private javax.swing.JButton btnSasieRepas;
    private javax.swing.JButton btnSupprimerNuits;
    private javax.swing.JButton btnSupprimerRepas;
    private javax.swing.JTextField tfTitreNuits;
    private javax.swing.JTextField tfTitreRepas;
    protected javax.swing.JPanel viewTableNuits;
    protected javax.swing.JPanel viewTableRepas;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
            
    	btnIconeNuits.setIcon(ApplicationIcones.ICON_NUIT);
    	btnIconeRepas.setIcon(ApplicationIcones.ICON_REPAS);
    	
    	btnAjouterNuits.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierNuits.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerNuits.setIcon(CocktailIcones.ICON_DELETE);
    	btnRecalculerNutis.setIcon(ApplicationIcones.ICON_RELOAD);
    	btnSasieNuits.setIcon(CocktailIcones.ICON_WIZARD_16);
    	
    	btnAjouterRepas.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierRepas.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerRepas.setIcon(CocktailIcones.ICON_DELETE);
    	btnRecalculerRepas.setIcon(ApplicationIcones.ICON_RELOAD);
    	btnSasieRepas.setIcon(CocktailIcones.ICON_WIZARD_16);

    	
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

		ZEOTableModelColumn col = new ZEOTableModelColumn(eodNuits, EONuits.NUI_NB_NUITS_KEY, "Nuits", 100);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodNuits, "nuiNuitGratuits", "Gratuites", 100);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodNuits, "stringTarifNuit", "Tarif", 110);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodNuits, "stringMontantPaiement", "Montant", 95);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelNuits = new ZEOTableModel(eodNuits, myCols);
		myTableSorterNuits = new TableSorter(myTableModelNuits);

		myEOTableNuits = new ZEOTable(myTableSorterNuits);
		//myEOTableNuits.addListener(myListenerContrat);
		myTableSorterNuits.setTableHeader(myEOTableNuits.getTableHeader());		

		myEOTableNuits.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableNuits.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableNuits.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableNuits.setLayout(new BorderLayout());
		viewTableNuits.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableNuits.removeAll();
		viewTableNuits.add(new JScrollPane(myEOTableNuits), BorderLayout.CENTER);

		
		
		myCols = new Vector();
		col = new ZEOTableModelColumn(eodRepas, "repNbRepas", "Repas", 80);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodRepas, "repRepasGratuits", "Gratuits", 80);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodRepas, "repRepasAdm", "Admin", 80);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodRepas, "stringTarifRepas", "Tarif", 100);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodRepas, "stringMontantPaiement", "Montant", 85);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);
		
		myTableModelRepas = new ZEOTableModel(eodRepas, myCols);
		myTableSorterRepas = new TableSorter(myTableModelRepas);

		myEOTableRepas = new ZEOTable(myTableSorterRepas);
		//myEOTableIndemnite.addListener(myListenerContrat);
		myTableSorterRepas.setTableHeader(myEOTableRepas.getTableHeader());		

		myEOTableRepas.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableRepas.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableRepas.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableRepas.setLayout(new BorderLayout());
		viewTableRepas.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableRepas.removeAll();
		viewTableRepas.add(new JScrollPane(myEOTableRepas), BorderLayout.CENTER);

     }


	public ZEOTable getMyEOTableNuits() {
		return myEOTableNuits;
	}


	public void setMyEOTableNuits(ZEOTable myEOTableNuits) {
		this.myEOTableNuits = myEOTableNuits;
	}


	public ZEOTable getMyEOTableRepas() {
		return myEOTableRepas;
	}


	public void setMyEOTableRepas(ZEOTable myEOTableRepas) {
		this.myEOTableRepas = myEOTableRepas;
	}


	public ZEOTableModel getMyTableModelNuits() {
		return myTableModelNuits;
	}


	public void setMyTableModelNuits(ZEOTableModel myTableModelNuits) {
		this.myTableModelNuits = myTableModelNuits;
	}


	public ZEOTableModel getMyTableModelRepas() {
		return myTableModelRepas;
	}


	public void setMyTableModelRepas(ZEOTableModel myTableModelRepas) {
		this.myTableModelRepas = myTableModelRepas;
	}


	public javax.swing.JButton getBtnAjouterNuits() {
		return btnAjouterNuits;
	}


	public void setBtnAjouterNuits(javax.swing.JButton btnAjouterNuits) {
		this.btnAjouterNuits = btnAjouterNuits;
	}


	public javax.swing.JButton getBtnAjouterRepas() {
		return btnAjouterRepas;
	}


	public void setBtnAjouterRepas(javax.swing.JButton btnAjouterRepas) {
		this.btnAjouterRepas = btnAjouterRepas;
	}


	public javax.swing.JButton getBtnIconeNuits() {
		return btnIconeNuits;
	}


	public void setBtnIconeNuits(javax.swing.JButton btnIconeNuits) {
		this.btnIconeNuits = btnIconeNuits;
	}


	public javax.swing.JButton getBtnIconeRepas() {
		return btnIconeRepas;
	}


	public void setBtnIconeRepas(javax.swing.JButton btnIconeRepas) {
		this.btnIconeRepas = btnIconeRepas;
	}


	public javax.swing.JButton getBtnModifierNuits() {
		return btnModifierNuits;
	}


	public void setBtnModifierNuits(javax.swing.JButton btnModifierNuits) {
		this.btnModifierNuits = btnModifierNuits;
	}


	public javax.swing.JButton getBtnModifierRepas() {
		return btnModifierRepas;
	}


	public void setBtnModifierRepas(javax.swing.JButton btnModifierRepas) {
		this.btnModifierRepas = btnModifierRepas;
	}


	public javax.swing.JButton getBtnRecalculerNutis() {
		return btnRecalculerNutis;
	}


	public void setBtnRecalculerNutis(javax.swing.JButton btnRecalculerNutis) {
		this.btnRecalculerNutis = btnRecalculerNutis;
	}


	public javax.swing.JButton getBtnRecalculerRepas() {
		return btnRecalculerRepas;
	}


	public void setBtnRecalculerRepas(javax.swing.JButton btnRecalculerRepas) {
		this.btnRecalculerRepas = btnRecalculerRepas;
	}


	public javax.swing.JButton getBtnSasieNuits() {
		return btnSasieNuits;
	}


	public void setBtnSasieNuits(javax.swing.JButton btnSasieNuits) {
		this.btnSasieNuits = btnSasieNuits;
	}


	public javax.swing.JButton getBtnSasieRepas() {
		return btnSasieRepas;
	}


	public void setBtnSasieRepas(javax.swing.JButton btnSasieRepas) {
		this.btnSasieRepas = btnSasieRepas;
	}


	public javax.swing.JButton getBtnSupprimerNuits() {
		return btnSupprimerNuits;
	}


	public void setBtnSupprimerNuits(javax.swing.JButton btnSupprimerNuits) {
		this.btnSupprimerNuits = btnSupprimerNuits;
	}


	public javax.swing.JButton getBtnSupprimerRepas() {
		return btnSupprimerRepas;
	}


	public void setBtnSupprimerRepas(javax.swing.JButton btnSupprimerRepas) {
		this.btnSupprimerRepas = btnSupprimerRepas;
	}


	public javax.swing.JTextField getTfTitreNuits() {
		return tfTitreNuits;
	}


	public void setTfTitreNuits(javax.swing.JTextField tfTitreNuits) {
		this.tfTitreNuits = tfTitreNuits;
	}


	public javax.swing.JTextField getTfTitreRepas() {
		return tfTitreRepas;
	}


	public void setTfTitreRepas(javax.swing.JTextField tfTitreRepas) {
		this.tfTitreRepas = tfTitreRepas;
	}

    
    
    
}

